@import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');

body {
    background-color: black;
    color: white;
    font-family: 'Montserrat', sans-serif;
    min-height: 100vh;
}

/* header bar */
.navbar {
    display: flex;
    max-width: 100%;
    justify-content: space-evenly;
    align-items: center;
    height: 90px;
    background-color: black;
    z-index: 10;
}

/* keeps header at top*/
body .navbar{
    position: sticky;
    top: 0;
}

.logo {
    display: flex;
    height: 75px;
}

.socials ul {
    display: flex;
    margin: 0;
    padding: 0;
    list-style: none;
}

.socials a {
    padding: 0.75rem;
}

.socials a img {
    height: 30px;
    width: 30px;
}

@media only screen and (max-width: 600px) {
    .socials a img {
        height: 25px;
        width: 25px;
    }
    .socials a {
        padding: 0.5rem;
    }
    .logo {
        max-width: 200px;
    }
    .navbar {
        width: 100vw;
    }

}

/* Dropdown Button */
.dropbtn {
  background-color: white;
  background-image: url("./images/menu.png");
  object-fit: contain;
  background-size: cover;
  background-position: center;
  height: 30px;
  width: 30px;
  border: none;
  cursor: pointer;
  margin-left: 0.75rem;
}

/* The container <div> - needed to position the dropdown content */
.dropdown {
  position: relative;
  display: inline-block;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content {
  display: none;
  position:absolute;
  background-color: #000000;
  min-width: 160px;
  z-index: 1;
  left: -50px
}

/* Links inside the dropdown */
.dropdown-content a {
  color: white;
  padding: 12px 0px;
  text-align: center;
  text-decoration: none;
  display: block;
}

/* Change color of dropdown links on hover */
.dropdown-content a:hover {
    background-color: rgb(247, 74, 31);
}

/* Show the dropdown menu (use JS to add this class to the .dropdown-content container when the user clicks on the dropdown button) */
.show {
    display:block;
}

/* change dropdown icon size and dropdown position for smaller screens */
@media only screen and (max-width: 600px) {
    .dropbtn {
        height: 25px;
        width: 25px;
        margin-left: 0.5rem;
    }

    .dropdown-content {
        left: -90px;
    }
}

/* homepage */
/* countdown clock formatting */
.countdown {
    text-align: center;
    font-size: large;
    color: white;
    background-color: rgb(247, 74, 31);;
}

/*size and center of first image */
.coverpicture {
    width: 80%;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.intro {
    width: 80%;
    display: block;
    margin-left: auto;
    margin-right: auto;
    font-size: x-large;
    text-align: center;
}

.downloadHere {
    text-align: center;
}

.pdf img {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 30%;
    border-radius: 25px;
}
.pdf img:hover {
    filter: brightness(0.5);
}

@media only screen and (max-width: 600px) {
    .countdown {
        font-size: medium;
    }

    .coverpicture {
        width: 100%;
        margin-left: 0;
        margin-right: 0;
    }

    .intro {
        font-size: small;
        width: 90%;
    }

    .pdf img {
        width: 40%;
    }
}

.weeklybrief {
    text-align: center;
}

.pastPdf {
    display: block;
    text-align: center;
    color: rgb(247, 74, 31);
    margin-bottom: 25px;
}

.tweets {
    padding-top: 20px;
    width: 400px;
    margin: auto;
    padding-bottom: 20px;
}

/* our team */
.ourTeam {
    text-align: center;
}
.leader {
    text-align: center;
}
.leaderImg {
    display: block;
    margin: auto;
}

.teamContainer {
    width: 80%;
    height: 800px;
    margin: auto;
    padding-left: 10%;
    
}

.teamBlock {
    width: 25%;
    height: 160px;
    float: left;
    padding: 20px;
    text-align: center;
}

.teamBlock h3{
    text-align: center;
} 

.teamBlock ul {
    list-style-type: none;
    padding-left: 0;
    font-size: smaller;

}

@media only screen and (max-width: 700px) {
    .leaderImg {
        width: 90%;
    }

    .teamContainer {
        height: 500px;
        padding-left: 5%;
    }

    .teamBlock {
        width: 25%;
        height: 120px;
        float: left;
        padding: 10px;
        text-align: center;
    
    }
    
    .teamBlock h3{
        font-size: x-small;
    } 
    
    .teamBlock ul {
        font-size: xx-small;
    }
}


.aboutustitle {
    text-align: center;
}
.aboutusinfo {
    width: 60%;
    display: block;
    margin: auto;
    padding-bottom: 20px;
}
.aboutcircle {
    border-radius: 20%;
    display: block;
    margin: auto;
    width: 50%;
}
@media only screen and (max-width: 600px) {
    .aboutusinfo, .aboutcircle {
        width: 90%;
    }
}

.contacttext {
    padding-left: 10%;
}

.contacts {
    width: 40%;
}

.contacttitle {
    color: black;
    text-align: center;
}

#name, #email, #phone, #message {
    width: 100%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 10px;
    box-sizing: border-box;
    margin: auto;
    margin-bottom: 6px;
    resize: vertical;
    font: inherit;
    font-size: small;
}

  /* Style the submit button with a specific background color etc */
  input[type=submit] {
    background-color: rgb(247, 74, 31);
    color: white;
    padding: 12px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    display: block;
    margin: auto;
  }
  
  /* When moving the mouse over the submit button, add a darker green color */
  input[type=submit]:hover {
    background-color: rgb(100, 21, 1);
  }
  
  /* Add a background color and some padding around the form */
  .contactform {
    border-radius: 10px;
    background-color: #f2f2f2;
    padding: 20px;
    width: 70%;
  }

.formcontainer {
    width: auto;
}

.flex-container {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-left: 5%;
}

.flex-child {
    flex: 1;
}  

.flex-child:first-child {
    margin-right: 20px;
}

@media only screen and (max-width: 600px) {
    .flex-container{
        display: block;
        margin-left: 5%;
        
    }
    .formcontainer {
        width: 110%;
    }
    .contacttitle {
        font-size: large ;
    }
}

.pastsponsorstitle {
    text-align: center;
}
.pastsponsorsimg {
    display: block;
    width: 60%;
    border-radius: 20px;
    margin: auto;
}
@media only screen and (max-width: 600px) {
    .pastsponsorsimg {
        width: 95%;
    }
    .tweets {
        width: 90%;
    }
}

.indexlogo1 {
    width: 20%;
    float: left;
    margin-left: 20%;
    margin-top: 5%;
    margin-bottom: 20px;
}
.indexlogo2 {
    width: 20%;
    float: right;
    margin-right: 20%;
    margin-top: 5%;
    margin-bottom: 20px;
}